Subject: Re: [PATCH 00/12] Thumb-2 kernel support

From: Catalin Marinas <[email-masked]>
Date: Mon, 28 Jul 2008 13:40:55 +0100

On Mon, 2008-07-28 at 12:45 +0100, Catalin Marinas wrote:
> On Sun, 2008-07-27 at 12:08 +0100, Russell King - ARM Linux wrote:
> > On Wed, Jul 23, 2008 at 03:10:45PM -0700, Andrew Morton wrote:
> > > Well.  Rather than doing things sequentially we could go parallel. 
> > > Russell could say "I'll look at them before 2.6.28 but please put them
> > > into linux-next meanwhile".
> > 
> > There have been some valid but (iirc) non-vocal objections to the
> > Thumb-2 support from a few people.  The biggest one is all the
> > mess associated with supporting this "unified" assembler stuff.
> 
> My first implementation of these patches (last year) created a separate
> arch/ directory and a lot of people objected to this recommending to
> merge it into the existing arch/arm. Once I posted the re-worked
> implementation there were no big .

It looks like I didn't finish the above phrase - I meant no big
objections to the conditional compilation or someone stating clearly
that this is unacceptable.

-- 
Catalin